All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
snd_tplg_ctl_template Struct Reference
Topology Interface

Template type for control objects. More...

## Data Fields

int | type
const char * | name
int | access
struct snd_tplg_io_ops_template | ops
struct snd_tplg_tlv_template * | tlv

## Detailed Description

Template type for control objects.

## Field Documentation

int snd_tplg_ctl_template::access

Control access

const char* snd_tplg_ctl_template::name

Control name

struct snd_tplg_io_ops_template snd_tplg_ctl_template::ops

operations

struct snd_tplg_tlv_template* snd_tplg_ctl_template::tlv

non NULL means we have TLV data

int snd_tplg_ctl_template::type

Control type

The documentation for this struct was generated from the following file:

- /builddir/build/BUILD/alsa-lib-1.1.4.1/include/topology.h